Redmine - Defect #28882

GDPR compliance
2018-05-25 14:15 - Bernhard Rohloff

Status: Confirmed Start date:

Priority: High Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Website (redmine.org) Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

Today the General Data Protection Regulation (GDPR) comes into effect.

The regulation could cause severe damage to a non compliant community project, even if it's a non profit one.

As Richard Rauch mentioned on the forum redmine.org doesn't seem to comply to the new laws.

| think GDPR compliance for redmine.org should get checked ASAP.
Perhaps the guys at Planio have some useful advise for their project mother ship.

Related issues:
Related to Redmine - Feature #41203: RGPD Compliance Closed

History

#1 - 2018-05-25 14:34 - Marius BALTEANU

Thanks Bernhard for opening this ticket. | agree with you that we should do some changes.

Adding Jan as watcher, maybe he can help us to solve the GDRP compliance faster.

#2 - 2018-08-26 00:23 - Jan Niggemann (redmine.org team member)

- Status changed from New to Confirmed

Thank you for pointing this out, we're working on it.

#3 - 2018-12-28 16:27 - Jean-Francois Delcour
Hi,

I would like to know if you plan to add this GDPR compliance to a future version of Redmine.

I'm working with a client to apply this great tool for its support but without a GDPR compliance, | will not be able to deploy it.

As a first step, just a fit-gap could be very interesting.
Thanks a lot.

#4 - 2020-01-13 09:40 - red shaphiro

Any news about GDPR compliance?

Thanks.

#5 - 2020-01-14 11:03 - Jean-Francois Delcour

I'm also very interrested about GDPR status for Redmine.
Thanks a lot.

Regards.

#6 - 2020-10-20 10:38 - Alex Comba

Any news about GDPR compliance?

Thanks.
http://www.redmine.org/boards/1/topics/55222

#7 - 2021-05-11 05:59 - Fatin 2021

Any news about GDPR compliance?

Thanks.

#8 - 2024-08-29 11:39 - Go MAEDA
- Related to Feature #41203: RGPD Compliance added
